from PIL import Image 

PATH = "/home/cugur/Downloads/matf/dozs/2024/week3/data/yugo.jpg"

# Ako je 0 crn piksel a 255 sasvim beli piksel, pojacavanje osvetljenja ekvivalentno je povecanju vrednosti piksela. 
def osvetli_util(p, delta):
    return p + delta

def osvetli_50(p):
    return osvetli_util(p, 50)

def osvetli_150(p):
    return osvetli_util(p, 150)

def osvetli_minus_100(p):
    return osvetli_util(p, -100)

with Image.open(PATH) as img:

    # Originalna slika
    img.load()

    # Crno bela slika 
    img1 = img.convert("L")
    img1.show()

    # Osvetljenje za 50
    img2 = img1.point(osvetli_50)
    img2.show()

    # Osvetljenje za 150
    img3 = img1.point(osvetli_150)
    img3.show()

    # Osvetljenje za -100
    img4 = img1.point(osvetli_minus_100)
    img4.show()
